| Home | Libraries | People | FAQ | More

## Function template iota

boost::algorithm::iota — Generates an increasing sequence of values, and stores them in the input Range.

## Synopsis

    // In header: <boost/algorithm/cxx11/iota.hpp>

    template<typename Range, typename T> void iota(Range & r, T value);

## Description

Parameters:

`r` | The input range
`value` | The initial value of the sequence to be generated